﻿using System.ComponentModel;
using Abt.Controls.SciChart;
using Abt.Controls.SciChart.Visuals.Axes;
using WpfApplication15.Annotations;

namespace WpfApplication15
{
    public class AxisViewModel : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;

        private IRange _visibleRange;
        private string _title;
        private AutoRange _autoRange;
        private string _axisId;

        public IRange VisibleRange
        {
            get { return _visibleRange; }
            set
            {
                if (_visibleRange != value)
                {
                    _visibleRange = value;
                    OnPropertyChanged("VisibleRange");
                }                
            }
        }

        public string AxisId
        {
            get { return _axisId; }
            set
            {
                if (_axisId != value)
                {
                    _axisId = value;
                    OnPropertyChanged("AxisId");
                }
            }
        }

        public string Title
        {
            get { return _title; }
            set
            {
                if (_title != value)
                {
                    _title = value;
                    OnPropertyChanged("Title");
                }
            }
        }

        public AutoRange AutoRange
        {
            get { return _autoRange; }
            set
            {
                if (_autoRange != value)
                {
                    _autoRange = value;
                    OnPropertyChanged("AutoRange");
                }
            }
        }

        [NotifyPropertyChangedInvocator]
        protected virtual void OnPropertyChanged(string propertyName)
        {
            var handler = PropertyChanged;
            if (handler != null) handler(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}